Subject: Re: bug#27556: libpng has wrong hash. [Fwd: Re: why has the hash for libpng-apng 1.6.28 changed?]

From: ng0 <[email-masked]>
Date: Mon, 31 Jul 2017 14:39:32 +0000

Leo Famulari transcribed 2.2K bytes:
> On Sun, Jul 30, 2017 at 09:37:22AM +0000, ng0 wrote:
> > Efraim Flashner transcribed 4.1K bytes:
> > > On Wed, Jul 26, 2017 at 06:56:51AM +0000, ng0 wrote:
> > > > My really strong guess is that we never updated the hash for
> > > > libpng-apng when the libpng was updated fron which libpng-apng
> > > > inherits its version.
> 
> [...]
> 
> > > git blame shows that back in February I updated libpng to 1.6.28 from
> > > 1.6.25, but that the last time libpng-apng was touched was by ng0 back
> > > in January.
> > > 
> > > commit: 864738baaa7bb75c08647ccfc684736479e67f7f
> 
> Aha, that must be it!
> 
> > Okay, so I will send the update for libpng-apng (which due to its
> > inheritance of libpng is just the hash) and I will also add a second
> > commit which adds a comment above libpng that we must update libpng-apng
> > when we update libpng, if that's already possible (libpng-apng might not
> > immediately be up to date, but we don't update libpng immediately aswell
> > due to it being a core-updates candidate).
> 
> I think we should give libpng-apng its own version because, as you said,
> libpng-apng may not be developed at the same pace as libpng. This way,
> we won't end up with a broken libpng-apng again.

I agree. Does someone of you want to make the patches and commits,
or should I prepare and send some?

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org